# Contributing to the TOC

## Contributing Projects to CNCF

If you're interested in contributing a project to CNCF, please open up an issue here for discussion: https://github.com/cncf/toc/issues

The full project proposal process is located [here](https://github.com/cncf/toc/blob/master/process/project_proposals.adoc).

## TOC Contributors

There has been a call from CNCF’s Technical Oversight Committee (TOC) for additional contributors and expertise to help evaluate potential projects and contribute to [working groups](https://github.com/cncf/toc#working-groups). With the metaphor of the TOC as an open source project and the 9 TOC [members](https://www.cncf.io/people/technical-oversight-committee/) as the maintainers, we are making a call for new **TOC Contributors**.

Possible ways to contribute:

* Tech due diligence for projects
* Time spent helping projects
* Liaison with GB
* Working groups (various tasks)
* Technical content for website

If you are interested in engaging in this way, we would encourage you to issue a pull request to [TOC Contributors](https://github.com/cncf/toc/blob/master/CONTRIBUTORS.md) that you desire to become a TOC Contributor. Although there is not an actual limit of having one Contributor per company, we would encourage CNCF member companies to designate an official TOC Contributor who is tasked with consulting internal experts and expressing a semi-official view on a given project. We will list current TOC Contributors on a page similar to https://www.cncf.io/people/ambassadors/.

This is not only about individual contribution.  It is also about rallying help from your employer, e.g., if you work for a CNCF Member company. Given the [breadth](https://raw.githubusercontent.com/cncf/landscape/master/landscape/CloudNativeLandscape_v0.9.5_cncf.jpg) of projects represented by cloud native, it is impossible for anyone to be an expert in all technologies that we’re evaluating. We’re particularly interested in Contributors that can act as a focal point for tapping relevant expertise from their organizations and colleagues in order to engage with CNCF discussions in a timely manner. 

The TOC already has the pattern of encouraging non-members to make non-binding votes, so no change in the TOC charter is necessary to allow Contributors.

TOC [meetings](https://github.com/cncf/toc#meeting-time) are only two hours a month, which are mainly taken up with project presentations. While Contributors are welcome to share their views during the meeting, the biggest opportunity is to comment on the TOC [mailing list](https://github.com/cncf/toc#mailing-list), on pull requests representing project applications and in voting.

And, just as the biggest contributors to open source projects often become maintainers, becoming an active TOC Contributor is one of the best paths to distinguish oneself ahead of TOC [elections](https://github.com/cncf/toc#members) in March 2018 and January 2019. 
