# CNCF Technical Oversight Committee (TOC)

The CNCF TOC is the technical governing body of the CNCF Foundation. It admits and oversees all projects in the CNCF Foundation and has a mandate to facilitate driving neutral consensus for:
* defining and maintaining the technical vision for the Cloud Native Computing Foundation,
* approving new projects within the scope for CNCF set by the Governing Board, and create a conceptual architecture for the projects,aligning projects, removing or archiving projects,
* accepting feedback from end user committee and map to projects,
* aligning interfaces to components under management (code reference implementations before standardizing), and defining common practices to be implemented across CNCF projects, if any.

## Members

* **Jonathan Boulle** (term: 3 years - start date: 1/29/2016 - 1/29/2019)
* **Bryan Cantrill** (term: 3 years - start date: 1/29/2016 - 1/29/2019)
* **Camille Fournier** (term: 3 years - start date: 1/29/2016 - 1/29/2019)
* **Brian Grant** (term: 2 years - start date: 3/17/2018 - 3/17/2020)
* **Benjamin Hindman** (term: 3 years - start date: 1/29/2016 - 1/29/2019)
* **Quinton Hoole** (term: 1 years - start date: 3/17/2018 - 3/17/2019)
* **Sam Lambert** (term: 16 months - start date: 10/2/2017 - 1/29/2019)
* **Ken Owens** (term: 3 years - start date: 1/29/2016 - 1/29/2019)
* **Alexis Richardson** (term: 3 years - start date: 1/29/2016 - 1/29/2019)

Election [schedule](process/election-schedule.md)

## Mailing List

cncf-toc@lists.cncf.io: https://ponymail.cncf.io/list.html?cncf-toc@lists.cncf.io

To join: https://lists.cncf.io/mailman/listinfo/cncf-toc

## Voting

In various situations the CNCF TOC shall hold a vote. These votes can happen on the phone, email, or via a voting service, when appropriate. TOC members can either respond "agree, yes, +1", "disagree, no, -1", or "abstain". A vote passes with two-thirds vote of votes cast based on the charter (see [6(c)(viii)](https://www.cncf.io/about/charter)). An abstain vote equals not voting at all.

## Working Groups

The TOC has created the following working groups to investigate and discuss the following topics:

| Working Group | Chair            | Meeting Time                          | Minutes/Recordings |
|---------------|------------------|---------------------------------------|--------------------|
| [CI](https://github.com/cncf/wg-ci)         | Camille Fournier | [4th Tue of every month at 8AM PT](https://zoom.us/my/cncfciwg) | [Youtube](https://www.youtube.com/playlist?list=PLj6h78yzYM2P3_A3ujWHSxOu1IO_bd7Zi)
| [Networking](https://github.com/cncf/wg-networking) | Ken Owens        |  [1st and 3rd Tue every month at 9AM PT](https://zoom.us/my/cncfnetworkingwg)                                      | [Youtube](https://www.youtube.com/playlist?list=PLj6h78yzYM2M_-K5n67_zTdrPh_PtTKFC)
| [Serverless](https://github.com/cncf/wg-serverless) | Ken Owens        |  [Thu of every week at 9AM PT](https://zoom.us/my/cncfserverlesswg)                                     | [Youtube](https://www.youtube.com/playlist?list=PLj6h78yzYM2Ph7YoBIgsZNW_RGJvNlFOt)
| [Storage](https://github.com/cncf/wg-storage)    | Quinton Hoole      |  [2nd and 4th Wed every month at 8AM PT](https://zoom.us/my/cncfstoragewg)                                     | [Youtube](https://www.youtube.com/playlist?list=PLj6h78yzYM2NoiNaLVZxr-ERc1ifKP7n6)

All meetings are on the public CNCF calendar: https://goo.gl/eyutah

## Meeting Time

The TOC meets on the 1st and 3rd Tuesday of every month at 8AM PT (USA Pacific):

https://zoom.us/j/263858603

Or Telephone:

Dial: +1 646 558 8656 (US Toll) or +1 408 638 0968 (US Toll)

+1 855 880 1246 (US Toll Free)
+1 877 369 0926 (US Toll Free)

Meeting ID: 263 858 603
International numbers available: https://zoom.us/zoomconference?m=ddKUsXGa2tGOHvCl4ccI0juqU7TZaCov

Here is a public Google calendar you can add the meetings to your calendar: https://goo.gl/eyutah

NOTE: Please use *6 to mute/un-mute your phone during the call

Here is a link to a World Time Zone Converter here http://www.thetimezoneconverter.com/?t=8:00%20a.m.%20&tz=San%20Francisco&

## Projects

**Project**|**Sponsor**|**TOC Deck**|**Accepted**|**Maturity Level**
:-----:|:-----:|:-----:|:-----:|:-----:
[Kubernetes](https://kubernetes.io/)|Alexis Richardson|N/A|[3/10/16](https://cncf.io/news/news/2015/07/techcrunch-kubernetes-hits-10-google-donates-technology-newly-formed-cloud-native)|Graduated
[Prometheus](https://prometheus.io/)|Alexis Richardson|[3/4/16](https://docs.google.com/presentation/d/1GtVX-ppI95LhrijprGENsrpq78-I1ttcSWLzMVk5d8M/edit?usp=sharing)|[5/9/16](https://cncf.io/news/announcement/2016/05/cloud-native-computing-foundation-accepts-prometheus-second-hosted-project)|Graduated
[OpenTracing](http://opentracing.io/)|Bryan Cantrill|[8/17/16](https://docs.google.com/presentation/d/1kQkmJtT0bjSRvUTP5YFTKaXSfIM3aL7zxja_KtZtbgw/edit#slide=id.g15fc45ec1a_0_165)|[10/11/16](https://cncf.io/news/blogs/2016/10/opentracing-joins-cloud-native-computing-foundation)|Incubating
[Fluentd](http://www.fluentd.org/)|Brian Grant|[8/3/16](https://docs.google.com/presentation/d/1S79MNv3E2aG8nuZJFJ0XMSumf7jnKozN3vdrivCH77U/edit?usp=sharing)|[11/8/16](https://www.cncf.io/blog/2016/12/08/fluentd-cloud-native-logging)|Incubating
[Linkerd](https://linkerd.io/)|Jonathan Boulle|[10/5/16](https://docs.google.com/presentation/d/19aamsOR__zGFNNFCmid2TjaJwEqNOXmHRa34EQwf3sA/edit#slide=id.g181e6fdb33_0_0)|[1/23/17](https://www.cncf.io/blog/2017/01/23/linkerd-project-joins-cloud-native-computing-foundation)|Incubating
[gRPC](http://www.grpc.io/)|Brian Grant|[10/19/16](https://docs.google.com/presentation/d/16mNYaqgd7BaV50OnbcuQ1zRHpWoUKhL3XHvCJwEm8CE/edit#slide=id.g185c09339a_23_106)|[2/16/17](https://www.cncf.io/blog/2017/03/01/cloud-native-computing-foundation-host-grpc-google)|Incubating
[CoreDNS](https://coredns.io/)|Jonathan Boulle|[8/17/16](https://docs.google.com/presentation/d/1LPvM44Pi7gletiDs40P7XmTKJLez5nz88ObYCHrHal8/edit?usp=sharing)|[2/27/17](https://www.cncf.io/blog/2017/03/02/cloud-native-computing-foundation-becomes-steward-service-naming-discovery-project-coredns)|Incubating
[containerd](https://containerd.io/)|Brian Grant|[3/15/17](https://docs.google.com/presentation/d/1qmGsmARyMhRLwbFWG7LXJSsDHm45nqZ_QtBv5SnQL54/edit?usp=sharing)|[3/29/17](https://www.cncf.io/announcement/2017/03/29/containerd-joins-cloud-native-computing-foundation/)|Incubating
[rkt](http://rkt.io)|Brian Grant|[3/15/17](https://docs.google.com/presentation/d/1KzA58_Zz30mKKzeLuSvXLh63aIC75KRdAOTw4PJ_10g/edit?usp=sharing)|[3/29/17](https://www.cncf.io/announcement/2017/03/29/cloud-native-computing-foundation-becomes-home-pod-native-container-engine-project-rkt/)|Incubating
[CNI](https://github.com/containernetworking/cni)|Ken Owens|[5/3/17](https://docs.google.com/presentation/d/1flQXWp1NQg_FdiLQ0MzKw5QACIwR1i939a-FD74imxk/edit#slide=id.g217fd51990_0_140)|[5/23/17](https://www.cncf.io/blog/2017/05/23/cncf-hosts-container-networking-interface-cni/)|Incubating
[Envoy](https://github.com/envoyproxy/envoy)|Alexis Richardson|[8/15/17](https://goo.gl/iSP394)|[9/13/17](https://www.cncf.io/blog/2017/09/13/cncf-hosts-envoy/)|Incubating
[Jaeger](https://github.com/jaegertracing/jaeger)|Bryan Cantrill|[8/1/17](https://goo.gl/ehtgts)|[9/13/17](https://www.cncf.io/blog/2017/09/13/cncf-hosts-jaeger/)|Incubating
[Notary](https://github.com/docker/notary)|Solomon Hykes|[6/20/17](https://goo.gl/6nmyDn)|[10/24/17](https://www.cncf.io/announcement/2017/10/24/cncf-host-two-security-projects-notary-tuf-specification/)|Incubating
[TUF](https://github.com/theupdateframework)|Solomon Hykes|[6/20/17](https://goo.gl/6nmyDn)|[10/24/17](https://www.cncf.io/announcement/2017/10/24/cncf-host-two-security-projects-notary-tuf-specification/)|Incubating
[rook](https://github.com/rook)|Ben Hindman|[6/6/17](https://goo.gl/6nmyDn)|[1/29/18](https://www.cncf.io/blog/2018/01/29/cncf-host-rook-project-cloud-native-storage-capabilities)|Sandbox
[Vitess](https://github.com/vitessio/vitess)|Brian Grant|[4/19/17](https://goo.gl/6nmyDn)|[2/5/18](https://www.cncf.io/blog/2018/02/05/cncf-host-vitess/)|Incubating
[NATS](https://github.com/nats-io/gnatsd)|Alexis Richardson|[9/21/16](https://goo.gl/6nmyDn)|[3/15/18](https://www.cncf.io/blog/2018/03/15/cncf-to-host-nats/)|Incubating
[SPIFFE](https://github.com/spiffe)|Brian Grant, Sam Lambert, Ken Owens|[11/7/17](https://goo.gl/6nmyDn)|[3/29/18](https://www.cncf.io/blog/2018/03/29/cncf-to-host-the-spiffe-project/)|Sandbox
[OPA](https://github.com/open-policy-agent)|Brian Grant, Ken Owens|[11/14/17](https://goo.gl/vKbawR)|[3/29/18](https://www.cncf.io/blog/2018/03/29/cncf-to-host-open-policy-agent-opa/)|Sandbox
[CloudEvents](https://github.com/cloudevents)|Brian Grant, Ken Owens|[11/14/17](https://goo.gl/vKbawR)|[5/22/18](https://www.cncf.io/blog/2018/05/22/cloudevents-in-the-sandbox/)|Sandbox
[Telepresence](https://github.com/telepresenceio)|Alexis Richardson, Camille Fournier|[4/17/18](https://docs.google.com/presentation/d/1VrHKGre5Y8AbmXEOXu4VPfILReoLT38Uw9TMN71u08E/edit?usp=sharing)|[5/22/18](https://www.cncf.io/blog/2018/05/22/telepresence-in-the-sandbox/)|Sandbox
[Helm](https://github.com/helm)|Brian Grant|[5/15/18](https://docs.google.com/presentation/d/1KNSv70fyTfSqUerCnccV7eEC_ynhLsm9A_kjnlmU_t0/edit#slide=id.g25ca91f87f_0_0)|[6/1/18](https://www.cncf.io/blog/2018/06/01/cncf-to-host-helm/)|Incubating
[Harbor](https://github.com/goharbor)|Quinton Hoole, Ken Owens|[6/19/18](https://docs.google.com/presentation/d/1KNSv70fyTfSqUerCnccV7eEC_ynhLsm9A_kjnlmU_t0/edit#slide=id.g25ca91f87f_0_0)|[7/31/18](https://www.cncf.io/blog/2018/07/31/cncf-to-host-harbor-in-the-sandbox/)|Sandbox
[OpenMetrics](https://github.com/OpenObservability/OpenMetrics)|Alexis Richardson, Bryan Cantrill|[6/20/17](https://goo.gl/6nmyDn)|[8/10/18](https://www.cncf.io/blog/2018/08/10/cncf-to-host-openmetrics/)|Sandbox
[TiKV](https://github.com/tikv/tikv)|Ben Hindman, Bryan Cantrill|[7/3/18](https://docs.google.com/presentation/d/1864TEfbwCpbW5kPYGQNAfqAUdc3X83n-_OYigqxfohw/edit?usp=sharing)|[8/28/18](https://www.cncf.io/blog/2018/08/28/cncf-to-host-tikv/)|Sandbox

## Website Guidelines

CNCF has the following [guidelines](https://www.cncf.io/projects/website-guidelines/) for the websites of our projects.

## Scheduled Community Presentations

If you're interested in presenting at a TOC call about your project, please open a [github issue](https://github.com/cncf/toc/issues) with the request. We can schedule a maximum of one community presentation per TOC meeting.

* **May 4th, 2016**: [Prometheus](https://prometheus.io/) ([overview](https://docs.google.com/presentation/d/1GtVX-ppI95LhrijprGENsrpq78-I1ttcSWLzMVk5d8M/edit?usp=sharing)): Fabian Reinartz, Julius Volz
* **August 3rd, 2016**: [Fluentd](http://www.fluentd.org/) ([overview](https://docs.google.com/presentation/d/1S79MNv3E2aG8nuZJFJ0XMSumf7jnKozN3vdrivCH77U/edit?usp=sharing)): Kiyoto Tamura / [Heron](https://github.com/twitter/heron) ([overview](https://docs.google.com/presentation/d/1pKwNO2V3VScjD1JxJ0gEgFTwAOccJgaJxHWgwcyczec/edit?usp=sharing)): Karthik Ramasamy / [Minio](https://minio.io/) ([overview](https://docs.google.com/presentation/d/1DGm_Zwq7qYHaXm6ZH26RAQeyBAKF1FOCLlEZQNTMJYE/edit?usp=sharing)): Anand Babu Periasamy
* **August 17th, 2016**: [CoreDNS](https://github.com/miekg/coredns) ([overview](https://docs.google.com/presentation/d/1LPvM44Pi7gletiDs40P7XmTKJLez5nz88ObYCHrHal8/edit?usp=sharing)) ([proposal](https://docs.google.com/document/d/1Wt9nrD6siNe7oMmvJbEHf6Ns2-bbmgdinxX_mX0K2D0/edit?usp=sharing)): Miek Gieben / [OpenTracing](http://opentracing.io/) ([overview](https://docs.google.com/presentation/d/1kQkmJtT0bjSRvUTP5YFTKaXSfIM3aL7zxja_KtZtbgw/edit#slide=id.g15fc45ec1a_0_165)): Ben Sigelman
* **September 7th, 2016**: [CockroachDB](https://github.com/cockroachdb/cockroach) ([overview](https://docs.google.com/presentation/d/1_kmax5ESAIjtuRZGl8nF6k1W3qlLgZsq2T8qzHYC6o0/edit?usp=sharing)): Spencer Kimball 
* **September 21st, 2016**: [NATS](http://nats.io/) ([overview](https://docs.google.com/presentation/d/1LZtbV7xArLi3b1C3eh4ZlipyhPEk9iMS6YVzvLOmbpc/edit?usp=sharing)): Larry McQueary and Brian Flannery
* **October 5th, 2016**: [Zipkin](https://github.com/openzipkin/zipkin) ([overview](https://docs.google.com/presentation/d/1w3WVP_rgmxDjLCEC2JInFz1tsqRP61EHfMswbApZXKw/edit#slide=id.g181ddbc52d_0_0)): Adrian Cole / [linkerd](https://linkerd.io/) ([overview](https://docs.google.com/presentation/d/19aamsOR__zGFNNFCmid2TjaJwEqNOXmHRa34EQwf3sA/edit#slide=id.g181e6fdb33_0_0)): Oliver Gould and William Morgan
* **October 19th, 2016**: [gRPC](http://www.grpc.io/) ([overview](https://docs.google.com/presentation/d/16mNYaqgd7BaV50OnbcuQ1zRHpWoUKhL3XHvCJwEm8CE/edit#slide=id.g185c09339a_23_106)): Varun Talwar
* **December 7th, 2016**: [Pachyderm](http://www.pachyderm.io/) ([overview](https://docs.google.com/presentation/d/1sy4CAdiBEu_kTV3kKFwd78JekhhdSbXaY3sthOfjKS4/edit?usp=sharing)) by Joe Doliner / [rexray/libstorage](https://github.com/codedellemc/rexray) ([overview](https://docs.google.com/presentation/d/1w_X7Qao1SCw8Nggl2B-qKk7z7OJpv0Z90B_YFR5jWts/edit?usp=sharing))
* **January 4th, 2017**: [Traefik](https://traefik.io/) ([overview](https://docs.google.com/presentation/d/1mKnzRz4ekDcyRPYNDxceSr_psF5Txv-cRLSDiRAlmuE/edit?usp=sharing)) by Emile Vauge / [fission](https://github.com/platform9/fission) ([overview](https://docs.google.com/presentation/d/1MmMOJT4Y2YJWLfJiDNMmqMGyZLg5569YVbJ690ReQO0/edit?usp=sharing)) by Soam Vasani
* **January 18th, 2017**: [CoreDNS](https://github.com/miekg/coredns) Redux by John Belamric + Miek Gieben / CNI + Azure by Deepak Bansal
* **Feb 1st, 2017**: [libStorage/CSI](https://github.com/codedellemc/libstorage) ([overview](https://docs.google.com/presentation/d/1melD0o1hv-DxmB8J6Kzx31Zy4n6X3jBdxPWVb5Ox6hM/edit?usp=sharing)) Redux by Clinton Kitson / [GitLab](https://gitlab.com/groups/gitlab-org) ([overview](https://docs.google.com/presentation/d/1I2YF_oHd6kXmh2hDO_tsAgrlpAdyk3RWvKQmaB8Nu9M/edit?usp=sharing)) by Sid Sijbrandij
* **Feb 15, 2017**: (F2F at Open Source Leadership Summit 2017)
* **March 1, 2017**: [Zuul v3](https://github.com/openstack-infra/zuul) ([overview](https://docs.google.com/presentation/d/1xNPAaJfkLqKU4Z5v1Tw-HNte1TAOGIm5J52IqnEF0l8/edit#slide=id.gd5ae4e962_2_136)) by Clint Byrum
* **March 15, 2017**: [Heron](https://github.com/twitter/heron) Redux ([overview](https://docs.google.com/presentation/d/10sxu-N_E4zFjG17i3u6-5O7-Rto8-WYc2QNCZrnC9bo/edit?usp=sharing)) by Karthik Ramasamy / [containerd](https://github.com/docker/containerd) ([overview](https://docs.google.com/presentation/d/1qmGsmARyMhRLwbFWG7LXJSsDHm45nqZ_QtBv5SnQL54/edit?usp=sharing)) by Michael Crosby / [rkt](https://github.com/coreos/rkt) ([overview](https://docs.google.com/presentation/d/1KzA58_Zz30mKKzeLuSvXLh63aIC75KRdAOTw4PJ_10g/edit?usp=sharing)) by Jon Boulle
* **April 19, 2017**: [Vitess](https://github.com/youtube/vitess) and [wg-networking](https://github.com/cncf/wg-networking) update
* **May 3, 2017**: [CNI](https://github.com/containernetworking/cni) / [Hyperd](https://github.com/hyperhq/hyperd) + [runv](https://github.com/hyperhq/runv) by Harry Zhang
* **May 16, 2017**: Serverless WG Proposal
* **June 6, 2017**: [rook](https://github.com/rook/rook) by Bassam Tabbara and [InfraKit](https://github.com/docker/infrakit)
* **June 20, 2017**: OpenMetrics by Richard Hartmann and [Notary/TUF](https://github.com/docker/notary)
* **July 11, 2017**: [CNCF TOC Backlog Review](https://goo.gl/kyagzj)
* **August 1, 2017**: [Jaeger](https://github.com/uber/jaeger) and Serverless WG Readout
* **August 15, 2017**: [Envoy](https://github.com/lyft/envoy) by Matt Klein and CI WG Readout
* **September 5, 2017**: gluster-kubernetes and Storage WG readout
* **September 19, 2017**: TBD
* **October 3, 2017**: NATS.io revisited
* **October 17, 2017**: TOC Principles / GB (Todd Moore) and OpenMetrics Update
* **November 7, 2017**: Istio, SPIFFE.io and Serverless WG
* **November 14, 2017**: [OPA](http://www.openpolicyagent.org/) and Storage WG/CSI and Project Graduation/Health Reviews (Kubernetes, Prometheus)
* **December 5, 2017**: Rook, OpenOverlay
* **December 7, 2017**: KubeCon/CloudNativeCon F2F
* **January 16, 2018**: CSI/Storage WG Readout
* **Feb 6, 2018**: NATS
* **Feb 20, 2018**: Sandbox + CoreDNS Project Review
* **Mar 6, 2018**: Sandbox + Graduation Reviews + Working Group Process
* **Mar 20, 2018**: New Sandbox Projects + Working Group Process
* **Apr 3, 2018**: CNCF CI WG: [Cross Cloud CI](https://github.com/crosscloudci) + Working Group Process
* **Apr 17, 2018**: [Telepresence](https://github.com/cncf/toc/issues/99) + SAFE Working Group Proposal
* **May 1, 2018**: CANCELLED: CloudNativeCon/KubeCon Copenhagen Office Hours at CNCF Booth
* **May 15, 2018**: CloudEvents/ServerlessWG Update + Helm
* **June 5, 2018**: Cortex
* **June 19, 2018**: OpenMetrics and Harbor
* **July 3, 2018**: TiKV
* **July 17, 2018**: Falco
* **Aug 7, 2018**: RSocket / etcd
* **Aug 21, 2018**: Buildpacks
* **Sep 4, 2018**: OpenMessaging/Dragonfly
* **Sep 18, 2018**: netdata
* **Oct 2, 2018**: keycloak
* **Oct 16, 2018**: (interested presenters contact cra@linuxfoundation.org or open up a github [issue](https://github.com/cncf/toc/issues))
* **Nov 6, 2018**: Graduation/Project Reviews: TUF

## Meeting Minutes

* [Feb 17th, 2016](https://docs.google.com/presentation/d/1uPV3xZihh5tB1c5OuCOBlNoFrM59XY1A2572oTwF8tA/edit?ts=56be1994#slide=id.gd6438e42c_4_116)
* [March 2nd, 2016](https://docs.google.com/presentation/d/1l-Sbw0nyaPUS1SmUsTZjzLyl0HcVSdosD2P_vFqHgZM/edit?ts=56d49093#slide=id.g11adb63271_0_0)
* [March 9th, 2016](https://docs.google.com/presentation/d/1Rfk35Zw1-ZvdSYLoCgiR6OqqQsB8Vt4CwTJ41LMw7kk/edit)
* [March 16th, 2016](https://docs.google.com/presentation/d/146tpCKBVtV-V93YvkcHdXZQ4asNYhashBS0_-2hfjtI/edit#slide=id.g10d22b4d73_16_10)
* [April 13th, 2016](https://docs.google.com/presentation/d/1LvMHQn2MYapjMrjNHw6tWbxOnYFNrqvigZfVt1YkTFU/edit#slide=id.gd5ae4e962_2_136)
* [April 20th, 2016](https://docs.google.com/presentation/d/1LvMHQn2MYapjMrjNHw6tWbxOnYFNrqvigZfVt1YkTFU/edit#slide=id.gd5ae4e962_2_136)
* [May 4th, 2016](https://docs.google.com/presentation/d/11jk9t_oRovx0fNoRnGInVeNn3PsaOKIb5K_c704Zwhs/edit?usp=sharing)
* [May 25th, 2016](https://docs.google.com/presentation/d/1q_N23ucJ460D20vW7QHZCvjUxsfrmDxShjd9LYVJVH4/edit#slide=id.g118c2199ab_0_44)
* [June 1st, 2016](https://docs.google.com/presentation/d/1YOZuqgVLxiLsyVdFROk3pEuA6rPJy8dziOo4hIy6lHM/edit#slide=id.gd5ae4e962_2_136)
* [June 21st, 2016](https://docs.google.com/presentation/d/1VJi3mXaYJgDICC7PIMaJnsJgY5LXwO56JZi8u1huOdc/edit?usp=sharing)
* [July 6th, 2016](https://docs.google.com/presentation/d/16oNakrb9tz8ND3K3WTkW4nEqM-CJOlLTnP2z6rVAVog/edit?usp=sharing)
* [July 20th, 2016](https://docs.google.com/presentation/d/1h8HFOAVLrJTvjUPP6ZHG2SzVKsTaMLvbiqjzUj4vml8/edit?usp=sharing)
* [August 3rd, 2016](https://docs.google.com/presentation/d/1ZZFn7EfySQuAFBOH_EWGKifzXTWSSqpnFNuJLAXVBmk/edit#slide=id.g1424cc439e_3_0)
* [August 17th, 2016](https://docs.google.com/presentation/d/1MkxZkzuYeMBGxQ4jUg4xQSE4uA3HNim8jPdelHEGrgo/edit#slide=id.g7460a6112_0_0)
* [September 7th, 2016](https://docs.google.com/presentation/d/1PF_01_EKApXnq_jmtQw1h-axx_MonBvprD1LlZHm5Q8/edit?ts=57d00b46#slide=id.gd5ae4e962_2_136)
* [September 21st, 2016](https://docs.google.com/presentation/d/1T29kNMvfNPNUX-MWjld08c---1Yi2PH8YvXPs8ez5wg/edit?usp=sharing)
* [October 5th, 2016](https://docs.google.com/presentation/d/17UEN7nz-BVSkzrdWqM2-DDMxrPzheZotTLJgbzzMk1k/edit?usp=sharing)
* [October 19th, 2016](https://docs.google.com/presentation/d/1xbMsdJdLZzokm8Lf4-S4lr5HauOWOs46V9XSbh011ig/edit?usp=sharing)
* [November 2nd, 2016](https://docs.google.com/presentation/d/1QVF84vF1wo3NiA5VtreaHy5EyLOY4pG1DQdiM2Exb_w/edit#slide=id.gd5ae4e962_2_136)
* [November 16th, 2016](https://docs.google.com/presentation/d/124ouW9yzJHukNbYa1-orQP2O0EjQHQmiU7yGHw0FkRY/edit?usp=sharing)
* [December 7th, 2016](https://docs.google.com/presentation/d/1pArH2wd0O065ueHEbUofJ0Ng0i3XWtyHXL7KioFfoZI/edit?usp=sharing)
* [January 4th, 2017](https://docs.google.com/presentation/d/1zKkgzqO6M2JfGBgXvyyBpQph3Xu_GtpnT7MDdeXGvZE/edit?usp=sharing)
* [January 18th, 2017](https://docs.google.com/presentation/d/1qGm2saBcDsfc7uGPlvgRV1Sur6whclqVGGb6T8AfmeU/edit#slide=id.gd5ae4e962_2_136)
* [Feb 1st, 2017](https://docs.google.com/presentation/d/13hNfPU8zGwKv9X5VnbG6mxD_xf10kAVNhOXqmJFcwkk/edit#slide=id.gd5ae4e962_2_136)
* [Feb 15th, 2017](https://docs.google.com/presentation/d/1vdEY_ynoID5sSmXMDppuqtMi1_Wvx0MvCkgUsryiTJ8/edit?usp=sharing)
* [March 1st, 2017](https://docs.google.com/presentation/d/1fOrZNcQpm8C1CghcK8bowyEWrIidrBL4lMi9OByNr6g/edit?usp=sharing)
* [March 15th, 2017](https://docs.google.com/presentation/d/1ZazSXwYWp_DVNjOArbvtSKj0qwtP16z0NgtmtiH4Nt8/edit?usp=sharing)
* [April 4th, 2017](https://docs.google.com/presentation/d/1EbZEvW7zlXS7DhNnL2GkWN8H5P3uz5DvBSXMcE4sE7U/edit#slide=id.gd5ae4e962_2_136)
* [April 19th, 2017](https://docs.google.com/presentation/d/1hvTin7ui_p_klCM9F88vBoFU_5K4Ax6KlnYIZR5jAgs/edit?usp=sharing)
* [May 3rd, 2017](https://docs.google.com/presentation/d/1flQXWp1NQg_FdiLQ0MzKw5QACIwR1i939a-FD74imxk/edit#slide=id.g217fd51990_0_140)
* [May 16th, 2017](https://docs.google.com/presentation/d/1SHfBDI3YeyCTJ3ZrGoc0S4EmfHsUVW2jMmXmcYQe96E/edit?usp=sharing)
* [June 6th, 2017](https://docs.google.com/presentation/d/1Lzy94UNzdSXkqZCvrwjkcChKpU8u2waDqGx_Sjy5eJ8/edit?usp=sharing)
* [June 20th, 2017](https://goo.gl/6nmyDn)
* [July 11th, 2017](https://docs.google.com/presentation/d/1bSP9UmxLP4gBu9kzxrqZCahDGS8JcsHFh1CawVtZOTY/edit#slide=id.gd5ae4e962_2_136)
* [August 1st, 2017](https://goo.gl/ehtgts)
* [August 15th, 2017](https://goo.gl/iSP394)
* [September 5th, 2017](https://goo.gl/WbKUmd)
* [Setember 19th, 2017](https://goo.gl/cgx9j2)
* [October 3rd, 2017](https://goo.gl/nsYz4j)
* [October 17th, 2017](https://goo.gl/hH6fS4)
* [November 7th, 2017](https://goo.gl/LoKyV5)
* [November 14th, 2017](https://goo.gl/vKbawR)
* [December 5th, 2017](https://goo.gl/77pMFY)
* [December 7th, 2017](https://goo.gl/Ugo7F9)
* [January 16th, 2018](https://goo.gl/5wBe3d)
* [February 6th, 2018](https://goo.gl/5WWA2Q)
* [February 20th, 2018](https://goo.gl/Z5ytqu)
* [March 6th, 2018](https://goo.gl/LcE3TC)
* [March 20th, 2018](https://goo.gl/PpznT7)
* [April 3rd, 2018](https://goo.gl/FnpaEA)
* [April 17th, 2018](https://docs.google.com/presentation/d/1VrHKGre5Y8AbmXEOXu4VPfILReoLT38Uw9TMN71u08E/edit?usp=sharing)
* [May 15th, 2018](https://docs.google.com/presentation/d/1KNSv70fyTfSqUerCnccV7eEC_ynhLsm9A_kjnlmU_t0/edit#slide=id.g25ca91f87f_0_0)
* [June 5th, 2018](https://docs.google.com/presentation/d/190oIFgujktVYxWZLhLYN4q8p9dtQYoe4sxHgn4deBSI/edit#slide=id.g25ca91f87f_0_0)
* [June 19th, 2018](https://docs.google.com/presentation/d/1Ym8fLRCaX43uHPHBRyuRXM62U8m4vXaBXkuUp6tt3js/edit?usp=sharing)
* [July 3rd, 2018](https://docs.google.com/presentation/d/1864TEfbwCpbW5kPYGQNAfqAUdc3X83n-_OYigqxfohw/edit?usp=sharing)
* [July 17th, 2018](https://docs.google.com/presentation/d/17p5QBVooGMLAtX6Mn6d3NAFhRmFHE0cH-WI_-0MbOm8/edit?usp=sharing)
* [August 7th, 2018](https://docs.google.com/presentation/d/1Eebd5ZwSYyvNRLbHDpiF_USDC4sEz7lEEpPLju_0PaU/edit)
* [August 21st, 2018](https://docs.google.com/presentation/d/1RkygwZw7ILVgGhBpKnFNgJ4BCc_9qMG8cIf0MRbuzB4/edit?usp=sharing)
* [September 4th, 2018](https://docs.google.com/presentation/d/1umu-iT5ZXq5XsMFmqmVeRe-tn2y7DeSoCebhrehi7fk/edit#slide=id.g41381b8fd7_0_199)
