**TOC Election Schedule v1.0**

This page looks at the elections for the CNCF’s Technical Oversight Committee (TOC) over the next several years. There are no policy changes proposed, but a specific schedule is suggested to implement the staggered elections required by the charter.

The key sections of the [charter](https://www.cncf.io/about/charter/) are:

>6(b)(iii) The Governing Board shall elect six (6) TOC members, the End User TAB shall elect one (1) TOC member and the initial seven TOC members shall elect an additional two (2) TOC members.

>6(c)(i) The TOC shall select a Chair of the TOC to set agendas and call meetings of the TOC.

>6(e)(ii) Nominations: Each individual (entity or member) eligible to nominate a TOC member may nominate up to two (2) technical representatives, (from vendors, end users or any other fields), at most one of which may be from their respective company.

>6(f)(i) TOC Members shall serve two-year, staggered terms. The initial six elected TOC members from the Governing Board election shall serve an initial term of three (3) years. The TOC members initially elected by the End User TAB and TOC shall serve an initial term of two (2) years.

Current TOC [Members](https://github.com/cncf/toc#members) and their terms are:

* Jonathan Boulle (term: 3 years - start date: 1/29/2016)
* Bryan Cantrill (term: 3 years - start date: 1/29/2016)
* Camille Fournier (term: 3 years - start date: 1/29/2016)
* Brian Grant (term: 2 years - start date: 3/17/2016)
* Benjamin Hindman (term: 3 years - start date: 1/29/2016)
* Solomon Hykes (term: 2 years - start date: 3/17/2016)
* Sam Lambert (term: 16 months - start date: 10/2/2017)
* Ken Owens (term: 3 years - start date: 1/29/2016)
* Alexis Richardson (term: 3 years - start date: 1/29/2016)

The End User Community will shortly (September 2017) be electing a new TOC member to replace Elissa. That person's term would normally last through 3/10/2018. We will ask the End User Community to instead approve a 16 month term to align with GB-appointed TOC selections going forward. This End User TOC member will be reappointed or replaced on 1/29/2019.

The terms of the two TOC appointed seats, currently held by Brian and Solomon, end on 3/16/18. At the time they are reelected or replaced, we propose that the two appointed members will draw straws to determine which of them gets a 1-year term in just that cycle so that these two positions are staggered going forward. After they are selected, we propose that the TOC vote to select its chairperson, and do so every 2 years thereafter.

On 1/29/2019, the other 6 TOC positions are up for re-election by the GB. The charter requires that the initial appointments have been for 3 years (which they were), but to use staggered, 2-year terms going forward. We propose that half of the positions get a 1-year term in just that cycle (by drawing straws), so that each year afterwards, 3 of the 6 will be reappointed or replaced.

**Schedule**

*All terms are two years unless otherwise specified. Selected means reappointed or replaced.*

* 10/1/2017: New End User TOC member is selected for a 16 month term.
* 3/17/2018: Both TOC-selected members are selected, one for a 1-year term.
* 3/17/2018 (and each future even year): The TOC selects its chairperson.
* 1/29/2019: 6 GB-selected TOC members are selected, half for 1-year terms.
* 1/29/2019 (and each future odd year): End User TOC member is selected.
* 3/17/2019 (and each future year): 1 TOC-selected TOC member is selected.
* 1/29/2020 (and each future year): 3 GB-selected TOC members are selected.

**Voting Process**

The following is the default timeline for TOC selections to use. The times can be adjusted to avoid weekends and holidays, but it’s essential that the final schedule be published in advance and adhered to. Eligible voters are specified publicly during the nomination process. Voting occurs by a time-limited Condorcet ranking in [CIVS](http://civs.cs.cornell.edu/).

* Call for nominations: Noon PT, E-16 days
* End of call for nominations: Noon PT, E-9 days
* A ballot will be distributed on: E-7 days
* The election will be completed on: Noon PT, E-day and election results are announced

**Vacancies**

Any vacancies will be filled by using the original selection method for that seat and the replacement will serve the remainder of the original term.
