# Prometheus Graduation Application

Prometheus was the second accepted project into the CNCF (joined in May 2016) and has grown significantly over time. In August 2017 we have successfully hosted a community conference (PromCon) in collaboration with the CNCF that attracted 200+ attendees from the developer and user community.

The following application links to the required information to become a graduated project.

## Prometheus fulfills all the incubating and graduation criteria:

### Document that it is being used successfully in production by at least three independent end users which, in the TOC’s judgement, are of adequate quality and scope.

* "Users" section of https://prometheus.io/
* In-progress PR to add an `ADOPTERS.md` file: https://github.com/prometheus/prometheus/pull/3833/files

### Have a healthy number of committers. A committer is defined as someone with the commit bit; i.e., someone who can accept contributions to some or all of the project.

See the current list of [Prometheus team members](https://github.com/prometheus/docs/blob/master/content/governance.md#team-members), who are also committers.

### Demonstrate a substantial ongoing flow of commits and merged contributions.

* https://github.com/prometheus/prometheus/graphs/contributors

In all official Prometheus repositories, we have had 850+ unique contributors with a total of 12k+ commits so far.

### Have committers from at least two organizations.

We have [17 committers](https://github.com/prometheus/docs/blob/master/content/governance.md#team-members) from ~10 organizations:

* [Ben Kochie](https://github.com/SuperQ) ([GitLab](https://about.gitlab.com/))
* [Björn Rabenstein](https://github.com/beorn7) ([SoundCloud](https://soundcloud.com/))
* [Brian Brazil](https://github.com/brian-brazil) ([Robust Perception](https://www.robustperception.io/))
* [Conor Broderick](https://github.com/Conorbro) ([Robust Perception](https://www.robustperception.io/))
* [Fabian Reinartz](https://github.com/fabxc) ([CoreOS](https://coreos.com/) / [Red Hat](https://www.redhat.com/))
* [Frederic Branczyk](https://github.com/brancz) ([CoreOS](https://coreos.com/) / [Red Hat](https://www.redhat.com/))
* [Goutham Veeramachaneni](https://github.com/Gouthamve) (Independent)
* [Johannes Ziemke](https://github.com/discordianfish) ([Latency.at](https://latency.at/) / Independent)
* [Julius Volz](https://github.com/juliusv) (Independent)
* [Matt Layher](https://github.com/mdlayher) ([DigitalOcean](https://www.digitalocean.com/))
* [Matthias Rampke](https://github.com/matthiasr) ([SoundCloud](https://soundcloud.com/))
* [Max Inden](https://github.com/mxinden) ([CoreOS](https://coreos.com/) / [Red Hat](https://www.redhat.com/))
* [Richard Hartmann](https://github.com/RichiH) ([SpaceNet](https://www.space.net/))
* [Steve Durrheimer](https://github.com/sdurrheimer) ([Netapsys](https://www.netapsys.fr/))
* [Stuart Nelson](https://github.com/stuartnelson3) ([DigitalOcean](https://www.digitalocean.com/))
* [Tobias Schmidt](https://github.com/grobie) ([SoundCloud](https://soundcloud.com/))
* [Tom Wilkie](https://github.com/tomwilkie) ([Kausal](https://kausal.co/))

### Have achieved and maintained a Core Infrastructure Initiative Best Practices Badge.

https://bestpractices.coreinfrastructure.org/projects/486

### Adopt the CNCF Code of Conduct.

https://github.com/prometheus/prometheus/blob/master/code-of-conduct.md

### Explicitly define a project governance and committer process. This preferably is laid out in a GOVERNANCE.md file and references an OWNERS.md file showing the current and emeritus committers.

* https://prometheus.io/governance/

### Have a public list of project adopters for at least the primary repo (e.g., ADOPTERS.md or logos on the project website).

See the bottom of https://prometheus.io/. We aim to additionally curate a more extensive list in an `ADOPTERS.md` file in the future. See https://github.com/prometheus/prometheus/pull/3833/files.
