To be accepted to the inception stage, a project must:

* Add value to cloud native computing (i.e., containerization, orchestration, microservices, or some combination) and be aligned with the CNCF [charter](https://cncf.io/about/charter).

    * [https://github.com/kubernetes/community/pull/1100](https://github.com/kubernetes/community/pull/1100)

* Have all code under an ASL 2.0 license, or another license explicitly approved by the Governing Board.

    * [https://github.com/coredns/coredns/blob/master/LICENSE](https://github.com/coredns/coredns/blob/master/LICENSE)

    * [https://app.fossa.io/projects/git%2Bgithub.com%2Fcoredns%2Fcoredns](https://app.fossa.io/projects/git%2Bgithub.com%2Fcoredns%2Fcoredns)

To be accepted to incubating stage, a project must meet the inception stage requirements plus:

* Document that it is being used successfully in production by at least three independent end users which, in the TOC’s judgement, are of adequate quality and scope.

    * [https://github.com/coredns/coredns/blob/master/ADOPTERS.md](https://github.com/coredns/coredns/blob/master/ADOPTERS.md)

    * Note: there are private adopters too that CoreDNS is willing to share to TOC privately

* Have a healthy number of committers. A committer is defined as someone with the commit bit; i.e., someone who can accept contributions to some or all of the project.

    * [https://github.com/coredns/coredns/blob/master/MAINTAINERS](https://github.com/coredns/coredns/blob/master/MAINTAINERS)

* Demonstrate a substantial ongoing flow of commits and merged contributions

    * [https://github.com/coredns/coredns/releases](https://github.com/coredns/coredns/releases)

    * [https://github.com/coredns/coredns/graphs/contributors](https://github.com/coredns/coredns/graphs/contributors)

